<?xml version="1.0" encoding="UTF-8" ?>
<pageDefinition xmlns="http://xmlns.oracle.com/adfm/uimodel"
                version="10.1.3.35.83" id="app_staff_SRSearchPageDef"
                Package="oracle.srdemo.view.pageDefs"
                MsgBundleClass="oracle.srdemo.view.pageDefs.app_staff_SRSearchPageDefMsgBundle">
  <parameters/>
  <executables>
    <invokeAction id="AlwaysFind" Binds="Find" Refresh="ifNeeded"
                  RefreshCondition="${bindings.SearchServiceRequestsIterator.findMode == false}"/>
    <invokeAction id="insertBlankViewCriteriaRowIfThereAreNone" Binds="Create"
                  Refresh="renderModel"
                  RefreshCondition="${bindings.SearchServiceRequestsIterator.findMode and bindings.SearchServiceRequestsIterator.estimatedRowCount == 0}"/>
    <iterator id="SearchServiceRequestsIterator" RangeSize="10"
              Binds="SearchServiceRequests" DataControl="SRService"/>
    <iterator id="SearchServiceRequestsResultsIterator" RangeSize="10"
              Binds="SearchServiceRequests" DataControl="SRService" />
    <iterator id="ServiceRequestStatusListIterator" RangeSize="-1"
              Binds="ServiceRequestStatusList" DataControl="SRService"/>
  </executables>
  <bindings>
    <attributeValues id="SvrIdCriteria" IterBinding="SearchServiceRequestsIterator">
      <AttrNames>
        <Item Value="SvrId"/>
      </AttrNames>
    </attributeValues>
    <list id="StatusCriteria" IterBinding="SearchServiceRequestsIterator"
          ListOperMode="0" StaticList="false" NullValueFlag="1"
          ListIter="ServiceRequestStatusListIterator"
          NullValueId="StatusCriteria_null">
      <AttrNames>
        <Item Value="Status"/>
      </AttrNames>
      <ValueList>
        <Item Value="&lt;Any Status>"/>
        <Item Value="Open"/>
        <Item Value="Pending"/>
        <Item Value="Closed"/>
      </ValueList>
      <ListAttrNames>
        <Item Value="UpperDescription"/>
      </ListAttrNames>
      <ListDisplayAttrNames>
        <Item Value="Description"/>
      </ListDisplayAttrNames>
    </list>
    <attributeValues id="ProblemDescriptionCriteria"
                     IterBinding="SearchServiceRequestsIterator">
      <AttrNames>
        <Item Value="ProblemDescription"/>
      </AttrNames>
    </attributeValues>
    <attributeValues id="ProductNameCriteria"
                     IterBinding="SearchServiceRequestsIterator">
      <AttrNames>
        <Item Value="ProductName"/>
      </AttrNames>
    </attributeValues>
    <table id="SearchServiceRequests" IterBinding="SearchServiceRequestsResultsIterator">
      <AttrNames>
        <Item Value="SvrId"/>
        <Item Value="Status"/>
        <Item Value="RequestDate"/>
        <Item Value="ProblemDescription"/>
        <Item Value="ProdId"/>
        <Item Value="CreatedBy"/>
        <Item Value="AssignedTo"/>
        <Item Value="AssignedDate"/>
        <Item Value="CreatedByFirstName"/>
        <Item Value="CreatedByLastName"/>
        <Item Value="CreatedByUserId"/>
        <Item Value="AssignedToFirstName"/>
        <Item Value="AssignedToLastName"/>
        <Item Value="AssignedToUserId"/>
        <Item Value="ProductName"/>
        <Item Value="ProductId"/>
      </AttrNames>
    </table>
    <attributeValues IterBinding="SearchServiceRequestsResultsIterator" id="SvrId">
      <AttrNames>
        <Item Value="SvrId"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="SearchServiceRequestsResultsIterator"
                     id="ProblemDescription">
      <AttrNames>
        <Item Value="ProblemDescription"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="SearchServiceRequestsResultsIterator" id="ProductName">
      <AttrNames>
        <Item Value="ProductName"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="SearchServiceRequestsIterator"
                     id="CreatedBy">
      <AttrNames>
        <Item Value="CreatedBy"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="SearchServiceRequestsResultsIterator"
                     id="CreatedByFirstName">
      <AttrNames>
        <Item Value="CreatedByFirstName"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="SearchServiceRequestsResultsIterator"
                     id="CreatedByLastName">
      <AttrNames>
        <Item Value="CreatedByLastName"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="SearchServiceRequestsResultsIterator" id="RequestDate">
      <AttrNames>
        <Item Value="RequestDate"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="SearchServiceRequestsIterator"
                     id="AssignedTo">
      <AttrNames>
        <Item Value="AssignedTo"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="SearchServiceRequestsResultsIterator"
                     id="AssignedToFirstName">
      <AttrNames>
        <Item Value="AssignedToFirstName"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="SearchServiceRequestsResultsIterator"
                     id="AssignedToLastName">
      <AttrNames>
        <Item Value="AssignedToLastName"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="SearchServiceRequestsResultsIterator" id="AssignedDate">
      <AttrNames>
        <Item Value="AssignedDate"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="SearchServiceRequestsResultsIterator" id="Status">
      <AttrNames>
        <Item Value="Status"/>
      </AttrNames>
    </attributeValues>
    <action id="Execute" IterBinding="SearchServiceRequestsIterator"
            InstanceName="SRService.SearchServiceRequests"
            DataControl="SRService" RequiresUpdateModel="true" Action="2"/>
    <action id="Delete" IterBinding="SearchServiceRequestsIterator"
            InstanceName="SRService.SearchServiceRequests"
            DataControl="SRService" RequiresUpdateModel="false" Action="30"/>
    <action id="Create" IterBinding="SearchServiceRequestsIterator"
            InstanceName="SRService.SearchServiceRequests"
            DataControl="SRService" RequiresUpdateModel="true" Action="41"/>
    <action id="Find" RequiresUpdateModel="true" Action="3"
            IterBinding="SearchServiceRequestsIterator"/>
    <action id="First" IterBinding="SearchServiceRequestsResultsIterator"
            InstanceName="SRService.SearchServiceRequests"
            DataControl="SRService" RequiresUpdateModel="true"
            Action="12"/>
    <action id="Next" IterBinding="SearchServiceRequestsResultsIterator"
            InstanceName="SRService.SearchServiceRequests"
            DataControl="SRService" RequiresUpdateModel="true" Action="10"/>
    <action id="Previous" IterBinding="SearchServiceRequestsResultsIterator"
            InstanceName="SRService.SearchServiceRequests"
            DataControl="SRService" RequiresUpdateModel="true" Action="11"/>
    <action id="Last" IterBinding="SearchServiceRequestsResultsIterator"
            InstanceName="SRService.SearchServiceRequests"
            DataControl="SRService" RequiresUpdateModel="true" Action="13"/>
    <action id="setCurrentRowWithKey" IterBinding="SearchServiceRequestsResultsIterator"
            InstanceName="SRService.SearchServiceRequests"
            DataControl="SRService" RequiresUpdateModel="false"
            Action="96">
      <NamedData NDName="rowKey" NDValue="#{row.rowKeyStr}"
                 NDType="java.lang.String"/>
    </action>
  </bindings>
</pageDefinition>
